# std::basic_string::max_size

From cppreference.com
< cpp‎ | string‎ | basic string

size_type max_size() const; |  |

Returns the maximum number of elements the string is able to hold due to system or library implementation limitations, i.e. ​std::distance(begin(), end())​ for the largest string.

### Parameters

(none)

### Return value

Maximum number of characters

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
        std::string s;
        std::cout << "Maximum size of a string is " << s.max_size() << "\n";
    }

Possible output:

    Maximum size of a string is 4294967294

### See also

size length | returns the number of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/max_size&oldid=91861"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template